Bug 1022006 - Anaconda disables repo without valid treeinfo.
Anaconda disables repo without valid treeinfo.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 09:25 EDT by Marian Csontos
Modified: 2015-06-29 08:41 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:41:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marian Csontos 2013-10-22 09:25:05 EDT
Description of problem:
I added a custom repo to install additional packages from.

The spoke has no problem with the repo, downloads the metadata and I am asked to verify installed packages.

However the repo is not used during package installation.

I have found following in the logs:

    http://192.168.144.1/repos/bz1013767/fc20/x86_64/repodata/repomd.xml: [Errno 14] HTTP Error 404 - Not Found

I can use the repo fine once the installation finishes.

Seems it is related to missing [.]treeinfo in the repo:

On the host the only 404's are these:

    192.168.144.171 - - [21/Oct/2013:09:25:33 -0400] "GET /repos/bz1013767-dracut-thin-root/el7/x86_64//.treeinfo HTTP/1.1" 404 332 "-" "urlgrabber/3.9.1"
    192.168.144.171 - - [21/Oct/2013:09:25:33 -0400] "GET /repos/bz1013767-dracut-thin-root/el7/x86_64//treeinfo HTTP/1.1" 404 331 "-" "urlgrabber/3.9.1"


Version-Release number of selected component (if applicable):
20.25-1

How reproducible:
100%

Steps to Reproduce:
- try to use repo without treeinfo

Actual results:
- repo without treeinfo is not used during installation time
- it is created in /etc/yum.repos.d and yum can use it just fine

Expected results:
- use the repo

Additional info:

    10:07:15,651 DEBUG packaging: adding yum repo bz1013767 with baseurl http://192.168.144.1/repos/bz1013767/fc20/x86_64/ and mirrorlist None
    10:07:15,652 INFO packaging: about to acquire _yum_lock for AnaPayloadMDThread at /usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py:609 (_configureAddOnRepo)
    10:07:15,653 INFO packaging: have _yum_lock for AnaPayloadMDThread
    10:07:15,659 INFO packaging: gave up _yum_lock for AnaPayloadMDThread
    10:07:15,659 ERR packaging: repo bz1013767 setup failed: failure: repodata/repomd.xml from bz1013767: [Errno 256] No more mirrors to try.
http://192.168.144.1/repos/bz1013767/fc20/x86_64/repodata/repomd.xml: [Errno 14] HTTP Error 404 - Not Found
    10:07:15,660 DEBUG packaging: disabling repo bz1013767
Comment 1 Marian Csontos 2013-10-22 10:09:34 EDT
Workaround: Using empty treeinfo in repo's root is enough to make anaconda happy.
Comment 2 David Shea 2013-10-22 10:21:34 EDT
Does repodata/repomd.xml exist, and if so does the HTTP GETs for that file show up in your server's log? .treeinfo should only be needed if the default name for repomd.xml isn't used. If a valid repo is being rejected due to a missing .treeinfo this could be a yum bug.
Comment 3 Marian Csontos 2013-10-22 10:40:02 EDT
Yes, it does. Otherwise yum would refuse to use the repo.
Comment 4 David Shea 2013-10-22 10:54:36 EDT
Yum /is/ refusing to use the repo, though: anaconda is attempting to use it and it's getting a PayloadError back.

Reassigning to yum.
Comment 5 W. Michael Petullo 2014-01-27 19:37:10 EST
This also seems to break the use of a Fedora "Everything" repository, as I do not see a .treeinfo file in the official "Everything" repositories (i.e., http://mirror.pnl.gov/fedora/linux//releases/20/Everything/x86_64/os/). On the other hand, I do see .treeinfo at http://mirror.pnl.gov/fedora/linux//releases/20/Fedora/x86_64/os/.treeinfo.

What tool ought to generate treeinfo? I would have though createrepo would have been enough.
Comment 6 Fedora End Of Life 2015-05-29 05:36:50 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-06-29 08:41:29 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.